## hildon-desktop 2.2.135-2+0m5

=== tests/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(test_app_launch_SOURCES) $(test_applet_SOURCES) $(test_do_not_disturb_SOURCES) $(test_hung_process_SOURCES) $(test_large_note_SOURCES) $(test_live_bg_SOURCES) $(test_no_gtk_SOURCES) $(test_non_compositing_SOURCES) $(test_portrait_dlg_SOURCES) $(test_portrait_win_SOURCES) $(test_signals_SOURCES) $(test_speed_SOURCES) $(test_winstack_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/hildon-desktop
pkglibdir = $(libdir)/hildon-desktop
pkgincludedir = $(includedir)/hildon-desktop
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
noinst_PROGRAMS = test-hung-process$(EXEEXT) test-applet$(EXEEXT) \
	test-app-launch$(EXEEXT) test-do-not-disturb$(EXEEXT) \
	test-large-note$(EXEEXT) test-portrait-win$(EXEEXT) \
	test-portrait-dlg$(EXEEXT) test-signals$(EXEEXT) \
	test-speed$(EXEEXT) test-winstack$(EXEEXT) \
	test-non-compositing$(EXEEXT) test-no-gtk$(EXEEXT) \
	test-live-bg$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_test_app_launch_OBJECTS =  \
	test_app_launch-test-app-launch.$(OBJEXT)
test_app_launch_OBJECTS = $(am_test_app_launch_OBJECTS)
test_app_launch_LDADD = $(LDADD)
am_test_applet_OBJECTS = test_applet-test-applet.$(OBJEXT)
test_applet_OBJECTS = $(am_test_applet_OBJECTS)
test_applet_LDADD = $(LDADD)
am_test_do_not_disturb_OBJECTS =  \
	test_do_not_disturb-test-do-not-disturb.$(OBJEXT)
test_do_not_disturb_OBJECTS = $(am_test_do_not_disturb_OBJECTS)
test_do_not_disturb_LDADD = $(LDADD)
am_test_hung_process_OBJECTS =  \
	test_hung_process-test-hung-process.$(OBJEXT)
test_hung_process_OBJECTS = $(am_test_hung_process_OBJECTS)
test_hung_process_LDADD = $(LDADD)
am_test_large_note_OBJECTS =  \
	test_large_note-test-large-note.$(OBJEXT)
test_large_note_OBJECTS = $(am_test_large_note_OBJECTS)
test_large_note_LDADD = $(LDADD)
am_test_live_bg_OBJECTS = test_live_bg-test-live-bg.$(OBJEXT)
test_live_bg_OBJECTS = $(am_test_live_bg_OBJECTS)
test_live_bg_LDADD = $(LDADD)
am_test_no_gtk_OBJECTS = test_no_gtk-test-no-gtk.$(OBJEXT)
test_no_gtk_OBJECTS = $(am_test_no_gtk_OBJECTS)
test_no_gtk_LDADD = $(LDADD)
am_test_non_compositing_OBJECTS =  \
	test_non_compositing-test-non-compositing.$(OBJEXT)
test_non_compositing_OBJECTS = $(am_test_non_compositing_OBJECTS)
test_non_compositing_LDADD = $(LDADD)
am_test_portrait_dlg_OBJECTS =  \
	test_portrait_dlg-test-portrait-dlg.$(OBJEXT)
test_portrait_dlg_OBJECTS = $(am_test_portrait_dlg_OBJECTS)
test_portrait_dlg_LDADD = $(LDADD)
am_test_portrait_win_OBJECTS =  \
	test_portrait_win-test-portrait-win.$(OBJEXT)
test_portrait_win_OBJECTS = $(am_test_portrait_win_OBJECTS)
test_portrait_win_LDADD = $(LDADD)
am_test_signals_OBJECTS = test_signals-test-signals.$(OBJEXT)
test_signals_OBJECTS = $(am_test_signals_OBJECTS)
test_signals_LDADD = $(LDADD)
am_test_speed_OBJECTS = test_speed-test-speed.$(OBJEXT)
test_speed_OBJECTS = $(am_test_speed_OBJECTS)
test_speed_LDADD = $(LDADD)
am_test_winstack_OBJECTS =  \
	test_winstack-test-large-window-stack.$(OBJEXT)
test_winstack_OBJECTS = $(am_test_winstack_OBJECTS)
test_winstack_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES =  \
#	./$(DEPDIR)/test_app_launch-test-app-launch.Po \
#	./$(DEPDIR)/test_applet-test-applet.Po \
#	./$(DEPDIR)/test_do_not_disturb-test-do-not-disturb.Po \
#	./$(DEPDIR)/test_hung_process-test-hung-process.Po \
#	./$(DEPDIR)/test_large_note-test-large-note.Po \
#	./$(DEPDIR)/test_live_bg-test-live-bg.Po \
#	./$(DEPDIR)/test_no_gtk-test-no-gtk.Po \
#	./$(DEPDIR)/test_non_compositing-test-non-compositing.Po \
#	./$(DEPDIR)/test_portrait_dlg-test-portrait-dlg.Po \
#	./$(DEPDIR)/test_portrait_win-test-portrait-win.Po \
#	./$(DEPDIR)/test_signals-test-signals.Po \
#	./$(DEPDIR)/test_speed-test-speed.Po \
#	./$(DEPDIR)/test_winstack-test-large-window-stack.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(test_app_launch_SOURCES) $(test_applet_SOURCES) \
	$(test_do_not_disturb_SOURCES) $(test_hung_process_SOURCES) \
	$(test_large_note_SOURCES) $(test_live_bg_SOURCES) \
	$(test_no_gtk_SOURCES) $(test_non_compositing_SOURCES) \
	$(test_portrait_dlg_SOURCES) $(test_portrait_win_SOURCES) \
	$(test_signals_SOURCES) $(test_speed_SOURCES) \
	$(test_winstack_SOURCES)
DIST_SOURCES = $(test_app_launch_SOURCES) $(test_applet_SOURCES) \
	$(test_do_not_disturb_SOURCES) $(test_hung_process_SOURCES) \
	$(test_large_note_SOURCES) $(test_live_bg_SOURCES) \
	$(test_no_gtk_SOURCES) $(test_non_compositing_SOURCES) \
	$(test_portrait_dlg_SOURCES) $(test_portrait_win_SOURCES) \
	$(test_signals_SOURCES) $(test_speed_SOURCES) \
	$(test_winstack_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
A11Y_DIR = a11y
A11Y_LA = a11y/liba11y.la
ACLOCAL = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run aclocal-1.8
ALL_LINGUAS = en_GB
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run autoconf
AUTOHEADER = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run autoheader
AUTOMAKE = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run automake-1.8
AWK = gawk
CATALOGS =  en_GB.gmo
CATOBJEXT = .gmo
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -DG_DEBUG_DISABLE -DG_DISABLE_CHECKS -Winline -Wall -Wno-format-extra-args -ansi -Wmissing-prototypes -Wmissing-declarations -Werror -std=gnu99 -DG_DISABLE_CAST_CHECKS -fgnu89-inline
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DATADIRNAME = share
DBUS_BINDING_TOOL = /usr/bin/dbus-binding-tool
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GMOFILES =  en_GB.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HDA_CFLAGS = -pthread -I/usr/include/cail -I/usr/include/atk-1.0 -I/usr/include/clutter-0.8 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HDA_LIBS = -R/usr/lib/gtk-2.0/modules -pthread -Wl,--export-dynamic -L/usr/lib/gtk-2.0/modules -lcail -latk-1.0 -lclutter-glx-0.8 -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf_xlib-2.0 -lpango-1.0 -lcairo -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HD_CFLAGS = -pthread -DMAEMO_CHANGES -DMAEMO_GTK -D_REENTRANT -I/usr/include/clutter-0.8 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gconf/2 -I/usr/include/hildon-1 -I/usr/include/libhildondesktop-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-menus -I/usr/include/profiled  
HD_INCS = -I$(top_srcdir)/src -I$(top_srcdir)/src/home -I$(top_srcdir)/src/mb -I$(top_srcdir)/src/util -I$(top_srcdir)/src/a11y
HD_LIBS = -pthread -Wl,--export-dynamic -lclutter-glx-0.8 -lX11 -lXcomposite -lXfixes -lXrandr -lhildondesktop-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lcairo -lcanberra -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgnome-menu -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lfreetype -lgmodule-2.0 -lXft -lfontconfig -lprofile -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAEMO_LAUNCHER_CFLAGS = -shared -fPIC  
MAEMO_LAUNCHER_LIBS = -shared -fPIC -export-dynamic  
MAKEINFO = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run makeinfo
MB2_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/matchbox-wm-2/0.1/ -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/libpng12 -I/usr/include/clutter-0.8 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1  
MB2_LIBS = -pthread -Wl,--export-dynamic -lmatchbox2-0.1 -lX11 -lpangoxft-1.0 -lgtk-x11-2.0 -lpng12 -lclutter-glx-0.8 -lXcomposite -lXdamage -lXext -lXft -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lfreetype -lfontconfig -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf_xlib-2.0 -lpango-1.0 -lcairo -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lXfixes  
MB2_STATIC_LIB = /usr/lib/libmatchbox2-0.1.a
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
NMEDIT = 
OBJEXT = o
PACKAGE = hildon-desktop
PACKAGE_BUGREPORT = 
PACKAGE_NAME = hildon-desktop
PACKAGE_STRING = hildon-desktop 2.9.0
PACKAGE_TARNAME = hildon-desktop
PACKAGE_VERSION = 2.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES =  en_GB.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 2.9.0
XGETTEXT = /scratchbox/tools/bin/xgettext
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/matan/hd2/hildon-desktop-2.2.135/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/hildon-desktop
localedir = ${datarootdir}/locale

=== debian/changelog ===
hildon-desktop (1:2.2.135-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:2.2.135-2+0m5

 -- Urho Konttori <urho.konttori@nokia.com>  Fri, 05 Mar 2010 14:46:14 +0200

hildon-desktop (1:2.2.135-2) unstable; urgency=low

  Gordon:
  * Fixes: NB#158934 - Status area moving to down left corner

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed,  3 Mar 2010 14:02:00 +0000

hildon-desktop (1:2.2.135-1) unstable; urgency=low

  Gordon:
  * Fixes: NB#158114 - When starting device with beta theme, menu borders are 
    from devel theme

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 23 Feb 2010 15:10:42 +0200

hildon-desktop (1:2.2.134-1) unstable; urgency=low

  Marc:
  * Fixes: NB#155449 - Add the icon for the User Guide.
  * Fixes: NB#157292 - Task launcher editor changes.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 23 Feb 2010 15:09:13 +0200

hildon-desktop (1:2.2.133-1) unstable; urgency=low

  Adam:
  * Fixes: NB#157525 - [8237] Certification tests - problem with CSM over
    movieClip and button

  Kimmo & Jarmo:
  * Live background support.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 22 Feb 2010 17:07:53 +0200

hildon-desktop (1:2.2.132-1) unstable; urgency=low

  Marc:
  * Fixes: NB#143390 - Fremantle PR1.1 end-user UX for app menu re-ordering
  * Fixes: NB#156185 - Move launcher icons to the correct places according to
    spec 2.11.
  * Fixes: NB#155449 - Put the User Guide launch icon in the correct place.

  Kimmo:
  * Fix couple of regressions (including NB#156130).
  * Support zero value for the Hildon non-comp. window property and
    fix a bug in the logic where the property would be considered before
    determining whether or not the application is a stackable window.

  Adam:
  * Tune the TidyFingerScroll decceleration again.
  * Fixes: NB#155541 - [video-call] Landscape request is ignored in certain
    case
  * Fix wrt NB#139190 Closing 'x' for widget misplaced

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 11 Feb 2010 14:45:42 +0200

hildon-desktop (1:2.2.131-1) unstable; urgency=low

  Adam:
  * Increase decceleration of TidyFingerScroll.
  * Task Launcher Grid layout tuning to match the upcoming v2.7 version.
  * Fixes: NB#155074 - When tapped on close button App menu is coming up and
    hence not able to close the application in a given scenario.

  Kimmo:
  * Fixes: NB#155155 - Desktop home view is not updated when camera lid
    is opened and closed from device sleep

  Gordon:
  * HD's part of NB#137235 - Transparent menu corners

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 03 Feb 2010 15:15:52 +0200

hildon-desktop (1:2.2.130-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#149943 - hildon-desktop animations are not linear after
    enabling asynchronous swap
  * Make addressbook and call UI D-Bus interfaces configurable through GConf.
  * NB#137722 - Information banners are appearing on top of other applications.
  * NB#149962 - Poor handling of an application window raising itself above a
    non-composited window
  * NB#151877 - title bar is blank for ordinary X applications

  Adam:
  * NB#154727 Notification glow effect should fire up when screen is unlocked
  * Make the launcher less CRITICAL when refreshing the grid layout.
  * NB#146769 Random flicker when a stackable window is opened
  * NB#155060 Desktop hangs after installing an application
    from Application Manager

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 01 Feb 2010 13:07:28 +0200

hildon-desktop (1:2.2.129-1) unstable; urgency=low

  Kimmo:
  * Fix broken "go back to the state before tklock" logic.

  Marc:
  * Reverting commit 58d4a66584574e4211031e80649dbd78f2574250 as hdrm's 'state'
    property is used by HdAppMgr and HdHome.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 25 Jan 2010 13:22:36 +0200

hildon-desktop (1:2.2.128-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#129916 - It is not possible to tap incoming Chat/SMS
    notification if there is Virtual Keyboard window visible.
  * Fixes: NB#135012 - Device UI freezes for minutes when long-pressing
    the screenshot shortcut

  Adam:
  * Fix regression NB#153980 - Task button and status area are not shown on
    the desktop.
  * Fix related to NB#143253 - Portrait mode: close button reacts to presses
    outside of its visible allocation

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 22 Jan 2010 10:05:04 +0200

hildon-desktop (1:2.2.127-1) unstable; urgency=low

  Marc:
  * Fix wrt NB#153463 - First row in application matrix gets duplicated

  Kimmo:
  * Fixes: NB#147359 - Showing swipe to unlock screen causes backgrounded
    app to maximize on screen unblank

  Adam:
  * Fix wrt NB#135337 - status area and tasks button overlayed on the top
    of landscape incoming call dialog

  Gordon:
  * Fixes: NB#153466 - Improvement in Settigs / Profiles so that user
    scrolls down

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 20 Jan 2010 18:00:31 +0200

hildon-desktop (1:2.2.126-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#151893 - Wrong window shown after popping and pushing windows
    using hildon_window_stack_pop_and_push_list

  Adam:
  * Crash fix for HD startup.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 14 Jan 2010 16:27:32 +0200

hildon-desktop (1:2.2.125-1) unstable; urgency=low

  Marc:
  * Fixes: NB#152488 - Installing application from HAM crashes desktop
  * Fixes: NB#152817 - device goes to reboot loop due SEGFAULT in
    hildon-desktop
  * Fixes: NB#150638 - Make the launcher view flat

  Adam:
  * Fixes: NB#143792 - Device gets sometimes stuck to portrait mode
  * Other portrait fixes.

  Jan Arne:
  * Fixes: NB#143334 - Impossible to make a lookup in the address book
    with Cyrillic keyboard layout

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 13 Jan 2010 15:56:43 +0200



=== debian/control ===
Source: hildon-desktop
Section: x11
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libmatchbox2-dev (>> 0.2.88-1), libclutter-0.8-dev (>> 0.8.2-0maemo57), libxdamage-dev, libxcomposite-dev, libxfixes-dev, libx11-dev, libdbus-1-dev, libxft-dev, libglib2.0-dev, libgtk2.0-dev, libgconf2-dev, libhildon1-dev, libhildondesktop1-dev (>= 2.1.6), libcanberra-dev, libxrandr-dev, upstart-dev, mce-dev (>=1.8.14), libgnome-menu-dev, libcail-dev, libprofile-dev (>= 0.0.15), maemo-launcher-dev, libhildonmime-dev
Standards-Version: 3.8.0

Package: hildon-desktop
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-theme | hildon-theme-devel (>= 5.10.19-1), hildon-icons | sdk-default-icons, gconf2, osso-af-startup, maemo-af-desktop-l10n-mr0 | maemo-af-desktop-l10n-mr, theme-config, ke-recv-extra, clipboard-manager, ke-recv-l10n-mr | ke-recv-l10n-mr0, libgtk2.0-0 (>= 2:2.14.7-1maemo15)
Description: Hildon desktop for Fremantle
 Hildon desktop for Fremantle.

Package: hildon-desktop-dbg
Section: devel
Architecture: any
Priority: extra
Depends: hildon-desktop (= ${Source-Version})
Description: Debug symbols for Hildon desktop
 Debug symbols for Hildon desktop.

Package: modified-hildon-desktop
Section: user/system
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-theme | hildon-theme-devel (>= 5.10.19-1), hildon-icons | sdk-default-icons, gconf2, osso-af-startup, maemo-af-desktop-l10n-mr0 | maemo-af-desktop-l10n-mr, theme-config, ke-recv-extra, clipboard-manager, ke-recv-l10n-mr | ke-recv-l10n-mr0, libgtk2.0-0 (>= 2:2.14.7-1maemo15) hildon-desktop (>=2.2.135-2), rescue-boot, wget
Description: Modified Hildon desktop for Fremantle
 Hildon desktop for Fremantle.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq (,$(findstring noa11y,$(DEB_BUILD_OPTIONS)))
ENABLE_A11Y = --enable-a11y
else
ENABLE_A11Y =
endif

ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
ENABLE_LAUNCHER += --enable-maemo-launcher
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -DG_DEBUG_DISABLE
else
CFLAGS += -O0
endif

CFLAGS += -DG_DISABLE_CHECKS -Winline

DEB_CONFIGURE_EXTRA_FLAGS += \
	$(ENABLE_A11Y) \
	$(ENABLE_LAUNCHER) \
	--enable-static-mb2=yes

DEB_DH_STRIP_ARGS := --dbg-package=hildon-desktop
DEB_DH_INSTALLINIT_ARGS := --no-start -- start 51 2 3 4 . stop 20 0 1 5 6 .
DEB_DH_GENCONTROL_ARGS += -ldebian/modified-hildon-desktop.changelog


makebuilddir/hildon-desktop::
	[ -f configure ] || ./autogen.sh

binary-install/hildon-desktop::
	dh_maemolauncher
	dh_installxsession -u 'post 20'
	dh_installxsession --init-script='hildon-desktop-wait' -u 'post 21'

# Save SSU d/l volume.
ifeq ($(DEB_BUILD_ARCH),armel)
binary-post-install/hildon-desktop::
	rm -rf "debian/$(cdbs_curpkg)/usr/share/doc"
endif

binary-install/modified-hildon-desktop::
	mv debian/modified-hildon-desktop/usr/bin/hildon-desktop debian/modified-hildon-desktop/usr/bin/modified-hildon-desktop
	mkdir -p debian/modified-hildon-desktop/usr/share/gconf/schemas/
	cp src/hildon-desktop-keys.schemas debian/modified-hildon-desktop/usr/share/gconf/schemas/
	mkdir -p debian/modified-hildon-desktop/etc/rescue-boot.d/
	cp hildon-desktop.rescue debian/modified-hildon-desktop/etc/rescue-boot.d/
	rm -rf debian/modified-hildon-desktop/usr/share/doc/

## hildon-desktop 2.2.138-1+0m5

=== debian/changelog ===
hildon-desktop (1:2.2.138-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:2.2.138-1+0m5

 -- Denis Karpov <ext-denis.2.karpov@nokia.com>  Tue, 20 Apr 2010 16:58:37 +0300

hildon-desktop (1:2.2.138-1) unstable; urgency=low

  * Fixes: NB#157265 - Phone application is not in forground when call is active
  * F1K535 NB#162969 - Call UI is broken if lock & unlock T&K lock during incoming call ringing in portrait view

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Thu, 15 Apr 2010 16:32:31 +0300

hildon-desktop (1:2.2.137-2) unstable; urgency=low

  * merge crack.157265

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Thu, 25 Mar 2010 13:14:14 +0200

hildon-desktop (1:2.2.137-1) unstable; urgency=low

  * Fixes: NB#162056 - Disable status menu in portrait mode

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Wed, 24 Mar 2010 15:22:53 +0200

hildon-desktop (1:2.2.136-1) unstable; urgency=low

  * Fixes: NB#146110 - Partial image is displayed in FSM while viewing images
    sometimes

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Mon, 15 Mar 2010 15:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,3 @@
 Depends: hildon-desktop (= ${Source-Version})
 Description: Debug symbols for Hildon desktop
  Debug symbols for Hildon desktop.
-
-Package: modified-hildon-desktop
-Section: user/system
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-theme | hildon-theme-devel (>= 5.10.19-1), hildon-icons | sdk-default-icons, gconf2, osso-af-startup, maemo-af-desktop-l10n-mr0 | maemo-af-desktop-l10n-mr, theme-config, ke-recv-extra, clipboard-manager, ke-recv-l10n-mr | ke-recv-l10n-mr0, libgtk2.0-0 (>= 2:2.14.7-1maemo15) hildon-desktop (>=2.2.135-2), rescue-boot, wget
-Description: Modified Hildon desktop for Fremantle
- Hildon desktop for Fremantle.

## hildon-desktop 2.2.140-1+0m5

=== debian/changelog ===
hildon-desktop (1:2.2.140-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:2.2.140-1+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Wed, 21 Jul 2010 15:31:42 +0300

hildon-desktop (1:2.2.140-1) unstable; urgency=low

  * Fixes: NB#162343 - Possible memory leak in hildon-desktop
  * Fixes: NB#165009 - Device not responding if Done button is tapped in layout mode

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Wed, 07 Jul 2010 15:28:12 +0300

hildon-desktop (1:2.2.139-2) unstable; urgency=low

  * Fixes: NB#165822 Calling UI is broken with changing modes

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Mon, 07 Jun 2010 19:10:50 +0300

hildon-desktop (1:2.2.139-1) unstable; urgency=low

  * Fixes: NB#162675 - desktop recompilation with G_DISABLE_CAST_CHECKS

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Tue, 25 May 2010 18:11:01 +0300

## hildon-desktop 2.2.146-2

=== tests/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.9.5 from Makefile.am.
 # tests/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004  Free Software Foundation, Inc.
+# 2003, 2004, 2005  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -36,7 +36,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = i486-pc-linux-gnu
+build_triplet = arm-unknown-linux-gnueabi
+host_triplet = arm-unknown-linux-gnueabi
 noinst_PROGRAMS = test-hung-process$(EXEEXT) test-applet$(EXEEXT) \
 	test-app-launch$(EXEEXT) test-do-not-disturb$(EXEEXT) \
 	test-large-note$(EXEEXT) test-portrait-win$(EXEEXT) \
@@ -50,7 +51,7 @@
 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(mkdir_p)
+mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 PROGRAMS = $(noinst_PROGRAMS)
@@ -104,27 +105,13 @@
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-#DEP_FILES =  \
-#	./$(DEPDIR)/test_app_launch-test-app-launch.Po \
-#	./$(DEPDIR)/test_applet-test-applet.Po \
-#	./$(DEPDIR)/test_do_not_disturb-test-do-not-disturb.Po \
-#	./$(DEPDIR)/test_hung_process-test-hung-process.Po \
-#	./$(DEPDIR)/test_large_note-test-large-note.Po \
-#	./$(DEPDIR)/test_live_bg-test-live-bg.Po \
-#	./$(DEPDIR)/test_no_gtk-test-no-gtk.Po \
-#	./$(DEPDIR)/test_non_compositing-test-non-compositing.Po \
-#	./$(DEPDIR)/test_portrait_dlg-test-portrait-dlg.Po \
-#	./$(DEPDIR)/test_portrait_win-test-portrait-win.Po \
-#	./$(DEPDIR)/test_signals-test-signals.Po \
-#	./$(DEPDIR)/test_speed-test-speed.Po \
-#	./$(DEPDIR)/test_winstack-test-large-window-stack.Po
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
+LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
 	$(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
-LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(test_app_launch_SOURCES) $(test_applet_SOURCES) \
 	$(test_do_not_disturb_SOURCES) $(test_hung_process_SOURCES) \
@@ -145,15 +132,15 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 A11Y_DIR = a11y
 A11Y_LA = a11y/liba11y.la
-ACLOCAL = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run aclocal-1.9
 ALL_LINGUAS = en_GB
 AMDEP_FALSE = 
 AMDEP_TRUE = #
-AMTAR = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run tar
+AMTAR = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run automake-1.8
+AUTOCONF = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run automake-1.9
 AWK = gawk
 CATALOGS =  en_GB.gmo
 CATOBJEXT = .gmo
@@ -181,13 +168,13 @@
 F77 = 
 FFLAGS = 
 GMOFILES =  en_GB.gmo
-GMSGFMT = /scratchbox/tools/bin/msgfmt
+GMSGFMT = /usr/bin/msgfmt
 GREP = /scratchbox/tools/bin/grep
 HDA_CFLAGS = -pthread -I/usr/include/cail -I/usr/include/atk-1.0 -I/usr/include/clutter-0.8 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
-HDA_LIBS = -R/usr/lib/gtk-2.0/modules -pthread -Wl,--export-dynamic -L/usr/lib/gtk-2.0/modules -lcail -latk-1.0 -lclutter-glx-0.8 -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf_xlib-2.0 -lpango-1.0 -lcairo -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HDA_LIBS = -R/usr/lib/gtk-2.0/modules -pthread -Wl,--export-dynamic -L/usr/lib/gtk-2.0/modules -lcail -latk-1.0 -lclutter-eglx-0.8 -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 HD_CFLAGS = -pthread -DMAEMO_CHANGES -DMAEMO_GTK -D_REENTRANT -I/usr/include/clutter-0.8 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gconf/2 -I/usr/include/hildon-1 -I/usr/include/libhildondesktop-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gnome-menus -I/usr/include/profiled  
 HD_INCS = -I$(top_srcdir)/src -I$(top_srcdir)/src/home -I$(top_srcdir)/src/mb -I$(top_srcdir)/src/util -I$(top_srcdir)/src/a11y
-HD_LIBS = -pthread -Wl,--export-dynamic -lclutter-glx-0.8 -lX11 -lXcomposite -lXfixes -lXrandr -lhildondesktop-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lcairo -lcanberra -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgnome-menu -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lfreetype -lgmodule-2.0 -lXft -lfontconfig -lprofile -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
+HD_LIBS = -pthread -Wl,--export-dynamic -lclutter-eglx-0.8 -lX11 -lXcomposite -lXfixes -lXrandr -lhildondesktop-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lcairo -lcanberra -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgnome-menu -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lfreetype -lgmodule-2.0 -lXft -lfontconfig -lprofile -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -202,12 +189,12 @@
 LTLIBOBJS = 
 MAEMO_LAUNCHER_CFLAGS = -shared -fPIC  
 MAEMO_LAUNCHER_LIBS = -shared -fPIC -export-dynamic  
-MAKEINFO = ${SHELL} /home/matan/hd2/hildon-desktop-2.2.135/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/missing --run makeinfo
 MB2_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/matchbox-wm-2/0.1/ -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/libpng12 -I/usr/include/clutter-0.8 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1  
-MB2_LIBS = -pthread -Wl,--export-dynamic -lmatchbox2-0.1 -lX11 -lpangoxft-1.0 -lgtk-x11-2.0 -lpng12 -lclutter-glx-0.8 -lXcomposite -lXdamage -lXext -lXft -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lfreetype -lfontconfig -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf_xlib-2.0 -lpango-1.0 -lcairo -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lXfixes  
+MB2_LIBS = -pthread -Wl,--export-dynamic -lmatchbox2-0.1 -lX11 -lpangoxft-1.0 -lgtk-x11-2.0 -lpng12 -lclutter-eglx-0.8 -lXcomposite -lXdamage -lXext -lXft -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lfreetype -lfontconfig -lpangocairo-1.0 -lgthread-2.0 -lrt -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lXfixes  
 MB2_STATIC_LIB = /usr/lib/libmatchbox2-0.1.a
 MKINSTALLDIRS = ./mkinstalldirs
-MSGFMT = /scratchbox/tools/bin/msgfmt
+MSGFMT = /usr/bin/msgfmt
 MSGFMT_OPTS = -c
 NMEDIT = 
 OBJEXT = o
@@ -218,7 +205,7 @@
 PACKAGE_TARNAME = hildon-desktop
 PACKAGE_VERSION = 2.9.0
 PATH_SEPARATOR = :
-PKG_CONFIG = /scratchbox/tools/bin/pkg-config
+PKG_CONFIG = /usr/bin/pkg-config
 POFILES =  en_GB.po
 POSUB = po
 PO_IN_DATADIR_FALSE = 
@@ -230,7 +217,7 @@
 STRIP = strip
 USE_NLS = yes
 VERSION = 2.9.0
-XGETTEXT = /scratchbox/tools/bin/xgettext
+XGETTEXT = /usr/bin/xgettext
 ac_ct_CC = cc
 ac_ct_CXX = 
 ac_ct_F77 = 
@@ -241,26 +228,42 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
+am__tar = ${AMTAR} chof - "$$tardir"
+am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i486-pc-linux-gnu
-build_alias = i486-linux-gnu
-build_cpu = i486
-build_os = linux-gnu
-build_vendor = pc
+build = arm-unknown-linux-gnueabi
+build_alias = arm-linux-gnueabi
+build_cpu = arm
+build_os = linux-gnueabi
+build_vendor = unknown
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i486-pc-linux-gnu
+host = arm-unknown-linux-gnueabi
 host_alias = 
-host_cpu = i486
-host_os = linux-gnu
-host_vendor = pc
+host_cpu = arm
+host_os = linux-gnueabi
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${prefix}/share/info
-install_sh = /home/matan/hd2/hildon-desktop-2.2.135/install-sh
+install_sh = /home/christian/n900/cssu-testing/hildon-desktop/hildon-desktop/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${prefix}/lib/hildon-desktop
 localedir = ${datarootdir}/locale
+localstatedir = /var
+mandir = ${prefix}/share/man
+mkdir_p = mkdir -p --
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+prefix = /usr
+program_transform_name = s,x,x,
+psdir = ${docdir}
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = ${prefix}/com
+sysconfdir = /etc
+target_alias = 
+test_hung_process_SOURCES = test-hung-process.c
+test_hung_process_CFLAGS = `pkg-config --cflags gtk+-2.0`

=== debian/changelog ===
hildon-desktop (1:2.2.146-2) unstable; urgency=low

  * Build-Depends: Increas required verson of libmatchbox2-dev to fix clash with Nokia version

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Sun, 23 Dec 2012 16:53:09 +0100

hildon-desktop (1:2.2.146-1) unstable; urgency=low

  * Fixes: Portrait (dialog) windows handling.
  * Fixes: i'm [not] gonna create 0x0 frame window and play hide and catch with you, have a good time.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 14 Dec 2012 13:29:00 +0200

hildon-desktop (1:2.2.145-2) unstable; urgency=low

  * Build-Depends: Increase required version of the libmatchbox2-dev.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 13 Dec 2012 19:59:00 +0200

hildon-desktop (1:2.2.145-1) unstable; urgency=low

  * Fixes: BMO #12177: Autorotate disfunction using Catorise.
  * Fixes: http://talk.maemo.org/showpost.php?p=1298147&postcount=980: QTLockscreen's orientation problem.
  * Fixes: Do not allow to blacklist a window with PORTRAIT flag.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 30 Nov 2012 18:03:00 +0200

hildon-desktop (1:2.2.144-1) unstable; urgency=low

  * New: Launcher supports loading 80x80 icons (from the Harmattan). They're scaled down to 64x64.
  * New: Possibility to pass over icon's direct path instead of the icon's name in the desktop file. 
  * Fixes: BMO #12660: Hildon Menu should scale images when are too big to be displayed.
  * Fixes: BMO #12576: hildon-desktop crashed after failed SDL png load.
  * New: Added support for launching apps in portrait mode, when the device lies flat. Works with Hildon/Gtk+ based applications (but not with Qt-based).
  * New: Launcher editor supports loading 80x80 icons and passing over icon's direct path in the desktop file.
  * Fixes: Layout of the launcher when coming from the editor in portrait mode.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Thu, 12 Nov 2012 19:01:00 +0200

hildon-desktop (1:2.2.143-1) unstable; urgency=low

  * Formatting fixes.
  * Improved whitelist and blacklist functionalities.
  * Added more debug output - PORTRAIT(...).
  * Removed unused code.
  * Updated transitions.ini.
  * Faster, without visual glitches, switching to an application in portrait mode from the task switcher.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 31 Oct 2012 19:57:00 +0200

hildon-desktop (1:2.2.142-24) unstable; urgency=low

  * Fixes: UI glitch - show BTN_BG_LEFT_ATTACHED_PRESSED instead of BTN_BG_LEFT_PRESSED while in the APP state.
  * Improved whitelist functionality.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 27 Oct 2012 21:04:00 +0200

hildon-desktop (1:2.2.142-23) unstable; urgency=low

  * Small fixes.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Fri, 12 Oct 2012 01:20:01 +0200

hildon-desktop (1:2.2.142-22.1) unstable; urgency=low

  * Fixes BMO #12052: Orientation lock causes incoming call to not display properly
  * Fixes BMO #12584: hildon-menu gets rotated if orientation locked from portrait
  * Fixes BMO #12629: blacklisting works not as it should

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Thu, 11 Oct 2012 19:56:33 +0200

hildon-desktop (1:2.2.142-22) unstable; urgency=low

  * Make blurless desaturation tweak really blurless.
  * Desaturate the window thumb, when it's about to close.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Fri, 03 Aug 2012 16:28:03 +0200

hildon-desktop (1:2.2.142-21.1) unstable; urgency=low

  * Don't dereference null pointer when checking for whitelisted/blacklisted application.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 21 May 2012 16:06:33 +0300

hildon-desktop (1:2.2.142-21) unstable; urgency=low

  * Remove depracted GConf key.

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Tue, 10 Apr 2012 20:48:41 +0200

hildon-desktop (1:2.2.142-20) unstable; urgency=low

  * Don't do extra transistion when launching an application that does not support portrait.

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Tue,  3 Apr 2012 18:38:06 +0200

hildon-desktop (1:2.2.142-19) unstable; urgency=low

  * Tasknav: keep aspect ratio and fix clipping for portrait thumbnails.
  * Remove zoom functionality
  * transition: don't repaint until the screen is black

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Tue, 13 Mar 2012 16:10:00 +0100

hildon-desktop (1:2.2.142-18) unstable; urgency=low

  * Enable launcher icon editor in both orientations.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 02 Jan 2012 15:14:26 +0200

hildon-desktop (1:2.2.142-17) unstable; urgency=low

  * Rebuilt hildon-desktop with a raised version number.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Nov 2011 16:54:38 +0200

hildon-desktop (1:2.2.142-16) unstable; urgency=low

  * Use -f instead of -t in dsmetool line, device will not reboot if hildon-desktop crashes

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 09 Sep 2011 22:27:09 +0300

hildon-desktop (1:2.2.142-15) unstable; urgency=low

  * Add GConf key to lock desktop in landscape mode.
  * Implemented a whitelist for rotation.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed,  7 Sep 2011 17:10:43 +0200

hildon-desktop (1:2.2.142-14) unstable; urgency=low

  * Add blurless_saturation option for blurless (by David Fries)
  * include transitions.ini in deb configfile to retain user settings
  * Added full portrait mode (by arcean)
  * Implemented a blacklist for rotation.
  * Fixed some memory/resource leaks.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 01 Sep 2011 22:22:34 +0300

hildon-desktop (1:2.2.142-13) unstable; urgency=low

  * Portrait task manager fixed for landscape apps (by freemangordon).

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 30 May 2011 01:56:19 +0300

hildon-desktop (1:2.2.142-12) unstable; urgency=low

  * Reverted improved zoom on press effect.
  * Added new portrait task manager (by freemangordon).
  * Added new gconf key to disable menu editor.


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hildon-desktop
 Section: x11
 Priority: optional
-Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
-Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libmatchbox2-dev (>> 0.2.88-1), libclutter-0.8-dev (>> 0.8.2-0maemo57), libxdamage-dev, libxcomposite-dev, libxfixes-dev, libx11-dev, libdbus-1-dev, libxft-dev, libglib2.0-dev, libgtk2.0-dev, libgconf2-dev, libhildon1-dev, libhildondesktop1-dev (>= 2.1.6), libcanberra-dev, libxrandr-dev, upstart-dev, mce-dev (>=1.8.14), libgnome-menu-dev, libcail-dev, libprofile-dev (>= 0.0.15), maemo-launcher-dev, libhildonmime-dev
+Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libmatchbox2-dev (>= 0.2.92-2), libclutter-0.8-dev (>> 0.8.2-0maemo57), libxdamage-dev, libxcomposite-dev, libxfixes-dev, libx11-dev, libdbus-1-dev, libxft-dev, libglib2.0-dev, libgtk2.0-dev, libgconf2-dev, libhildon1-dev, libhildondesktop1-dev (>= 2.1.6), libcanberra-dev, libxrandr-dev, upstart-dev, mce-dev (>=1.8.14), libgnome-menu-dev, libcail-dev, libprofile-dev (>= 0.0.15), maemo-launcher-dev, libhildonmime-dev
 Standards-Version: 3.8.0
 
 Package: hildon-desktop

## hildon-desktop 2.2.152.1-1

=== debian/changelog ===
hildon-desktop (1:2.2.152.1-1) unstable; urgency=low

  * New: Add applications osso-backup, ossofilemanager and osso_notes to whitelist.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Thu, 25 Apr 2013 21:43:00 +0200

hildon-desktop (1:2.2.152-1) unstable; urgency=low

  * Fixed: The Phone app thumbnail is being rotated before the desktop is rotated.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Thu, 25 Apr 2013 21:38:00 +0200

hildon-desktop (1:2.2.151-1) unstable; urgency=low

  * Fixed: BMO #12266: hildon-desktop crashes when switching from fullscreen application to notification
  * Fixed: Relaunching landscape-only application from the portrait launcher leads to visual glitches.
  * Fixed: Going to the task navigator when the screen is rotating crashes h-d.
  * Fixed: While locked in portrait and any time when installed app list is refreshed (by instaling new app or when this tool http://talk.maemo.org/showthread.php?t=88774 updates calendar icon) screen with apps icons used to launch them is broken: scroll doesn`t work properly at the end of the screen, newly installed app icon is missing, some icons are moved to the right and are unaccessible (like orientation is somehow partially switched to landscape).
  * Fixed: The task navigator is updated before changing the screen orientation. Fixes a couple of visual glitches.
  * Fixed: Sometimes launcher's scrollbar is wrongly positioned.
  * Changed: Blacklisting behaviour.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Fri, 01 Mar 2013 15:51:00 +0200

hildon-desktop (1:2.2.150-1) unstable; urgency=low

  * Fixed: thumb is partially transparent/clipped when the task navigator changes orientation.
  * Fixed: BMO #12661: instead of a dialog window only blurred background is visible.
  * Fixed: do not delay screen rotation when the launcher page is being scrolled.
  * Fixed: the launcher's 'empty label' is partially off-screen in portrait mode.
  * Fixed: it's possible to change screen orientation in desktop edit mode.
  * Fixed: status area is visible when rotating from desktop edit mode to portrait desktop.
  * hd_launcher_window_created() should be enough to hide the loading screen.
  * Formatting fixes.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sun, 18 Jan 2013 16:40:00 +0200

hildon-desktop (1:2.2.149-1) unstable; urgency=low

  * New HdOrientationLock class. Provides possibility to lock a window in portrait mode.
  * Formatting fixes.
  * Fixed layout of the titlebar in certain scenarios.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sun, 14 Jan 2013 20:34:00 +0200

hildon-desktop (1:2.2.148-1) unstable; urgency=low

  * Another try to improve hd_comp_mgr_may_be_portrait.
  * Loading screen fixes.
  * Update the pip flags when entering the launcher.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 02 Jan 2013 22:24:00 +0200

hildon-desktop (1:2.2.147-1) unstable; urgency=low

  * Improvements related to the new Qt's rotation mechanism.
  * Update window's thumb (task nav) on client portrait property changed.
  * Task navigator fixes (crashes, black background, etc.).
  * Many fixes related to the rotation mechanism (e.g. properly displayed black loading screens).
  * Reduced number of state changes (for example, when launching an application from portrait launcher).
  * HdRenderManager: code cleanup.
  * Hide status area when transitioning from HDRM_STATE_LAUNCHER to portrait STATE_SHOW_STATUS_AREA.
  * Fixes: Bugs reported by hxka.
  * Fixes: BMO #12629: blacklisting works not as it should.

 -- Tomasz Pieniążek <t.pieniazek@gazeta.pl>  Sat, 02 Jan 2013 15:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hildon-desktop
 Section: x11
 Priority: optional
-Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+Maintainer: Tomasz Pieniążek <t.pieniazek@gazeta.pl>
 Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libmatchbox2-dev (>= 0.2.92-2), libclutter-0.8-dev (>> 0.8.2-0maemo57), libxdamage-dev, libxcomposite-dev, libxfixes-dev, libx11-dev, libdbus-1-dev, libxft-dev, libglib2.0-dev, libgtk2.0-dev, libgconf2-dev, libhildon1-dev, libhildondesktop1-dev (>= 2.1.6), libcanberra-dev, libxrandr-dev, upstart-dev, mce-dev (>=1.8.14), libgnome-menu-dev, libcail-dev, libprofile-dev (>= 0.0.15), maemo-launcher-dev, libhildonmime-dev
 Standards-Version: 3.8.0

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq (,$(findstring noa11y,$(DEB_BUILD_OPTIONS)))
ENABLE_A11Y = --enable-a11y
else
ENABLE_A11Y =
endif

ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
ENABLE_LAUNCHER += --enable-maemo-launcher
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -DG_DEBUG_DISABLE
else
CFLAGS += -O0
endif

CFLAGS += -DG_DISABLE_CHECKS -Winline

DEB_CONFIGURE_EXTRA_FLAGS += \
	$(ENABLE_A11Y) \
	$(ENABLE_LAUNCHER) \
	--enable-static-mb2=yes

DEB_DH_STRIP_ARGS := --dbg-package=hildon-desktop
DEB_DH_INSTALLINIT_ARGS := --no-start -- start 51 2 3 4 . stop 20 0 1 5 6 .

makebuilddir/hildon-desktop::
	[ -f configure ] || ./autogen.sh

binary-install/hildon-desktop::
	dh_maemolauncher
	cp src/hildon-desktop-keys.schemas debian/hildon-desktop/usr/share/gconf/schemas/
	dh_installxsession -u 'post 20'
	dh_installxsession --init-script='hildon-desktop-wait' -u 'post 21'

# Save SSU d/l volume.
ifeq ($(DEB_BUILD_ARCH),armel)
binary-post-install/hildon-desktop::
	rm -rf "debian/$(cdbs_curpkg)/usr/share/doc"
endif
